Subject: Re: bug#26298: 26.0.50; Gnus fails to sign mail with PGP

From: Toon Claes <[email-masked]>
Date: Sun, 28 Jan 2018 20:39:31 +0100

On Tue, Aug 15, 2017 at 1:54 AM, Toon Claes <[email-masked]> wrote:
> [email-masked] writes:
>
>> Does the patch at https://debbugs.gnu.org/cgi/bugreport.cgi?bug=23619#14
>> help?
>
> Well, actually it does help.

One thing though, with this patch, if I enter the incorrect passphrase,
it gives me an error:

    Debugger entered--Lisp error: (wrong-type-argument char-or-string-p nil)
      mml2015-epg-sign((part (sign . "pgpmime") (tag-location . 803) (contents . "<redacted>")))
      mml2015-sign((part (sign . "pgpmime") (tag-location . 803) (contents . "<redacted>")))
      mml-pgpmime-sign-buffer((part (sign . "pgpmime") (tag-location . 803) (contents . "<redacted>")))
      mml-generate-mime-1((part (sign . "pgpmime") (tag-location . 803) (contents . "<redacted>")))
      mml-generate-mime()
      message-encode-message-body()
      message-send-mail(nil)
      message-send-via-mail(nil)
      message-send(nil)
      message-send-and-exit(nil)
      funcall-interactively(message-send-and-exit nil)
      call-interactively(message-send-and-exit nil nil)
      command-execute(message-send-and-exit)

When I try again instantly, it does not ask me for the passphrase and
just pops up the same error. When I wait for, I think, about 10 seconds
to retry, it asks for a passphrase again.

I'm not sure it's related to this bug, or is a separate bug.

-- Toon